Name:           python-citeproc-py
Version:        0.8.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Citations and bibliography formatter

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/brechtm/citeproc-py
Source:         %{pypi_source citeproc_py}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'citeproc-py' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-citeproc-py
Summary:        %{summary}

%description -n python3-citeproc-py %_description


%prep
%autosetup -p1 -n citeproc_py-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-citeproc-py -f %{pyproject_files}


%changelog
%autochangelog